## org.eclipse.jet.ui.newproject
Class NewJETProjectPage2

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.jet.ui.newproject.NewJETProjectPage2Controls
                  org.eclipse.jet.ui.newproject.NewJETProjectPage2

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage

    public class NewJETProjectPage2

extends NewJETProjectPage2Controls

Field Summary

Fields inherited from class org.eclipse.jet.ui.newproject.NewJETProjectPage2Controls
`cbxExtends, ddlBaseTx, lblBaseTx, txtDescription, txtID, txtName, txtTemplateLoader`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`NewJETProjectPage2(java.lang.String pageName)`

Method Summary
`protected void` `cbxExtends_selection(org.eclipse.swt.events.SelectionEvent e)` Selection event handler for `NewJETProjectPage2Controls.cbxExtends`.
`void` `createControl(org.eclipse.swt.widgets.Composite parent)`
`java.lang.String` `getBaseTransformID()`
`org.eclipse.jface.wizard.IWizardPage` `getNextPage()`
`java.lang.String` `getTemplateLoader()`
`java.lang.String` `getTransformDescription()`
`java.lang.String` `getTransformID()`
`java.lang.String` `getTransformName()`
`boolean` `isExtension()`
`void` `setJETProjectPage1(NewJETProjectPage1 page1)`
`void` `setVisible(boolean visible)`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

Constructor Detail

### NewJETProjectPage2

    public NewJETProjectPage2(java.lang.String pageName)

Method Detail

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

  Specified by:
    `createControl` in interface `org.eclipse.jface.dialogs.IDialogPage`
  Overrides:
    `createControl` in class `NewJETProjectPage2Controls`

### setJETProjectPage1

    public void setJETProjectPage1(NewJETProjectPage1 page1)

### cbxExtends_selection

    protected void cbxExtends_selection(org.eclipse.swt.events.SelectionEvent e)

  Description copied from class: `NewJETProjectPage2Controls`
  Selection event handler for `NewJETProjectPage2Controls.cbxExtends`.

  Specified by:
    `cbxExtends_selection` in class `NewJETProjectPage2Controls`
  Parameters:
    `e` - an event containing information on the selection
  See Also:
    `SelectionListener`, `SelectionListener.widgetSelected(SelectionEvent)`

### setVisible

    public void setVisible(boolean visible)

  Specified by:
    `setVisible` in interface `org.eclipse.jface.dialogs.IDialogPage`
  Overrides:
    `setVisible` in class `org.eclipse.jface.dialogs.DialogPage`

### isExtension

    public boolean isExtension()

### getTransformID

    public java.lang.String getTransformID()

### getTransformName

    public java.lang.String getTransformName()

### getTransformDescription

    public java.lang.String getTransformDescription()

### getTemplateLoader

    public java.lang.String getTemplateLoader()

### getBaseTransformID

    public java.lang.String getBaseTransformID()

### getNextPage

    public org.eclipse.jface.wizard.IWizardPage getNextPage()

  Specified by:
    `getNextPage` in interface `org.eclipse.jface.wizard.IWizardPage`
  Overrides:
    `getNextPage` in class `org.eclipse.jface.wizard.WizardPage`

Copyright 2006 IBM Corporation and others. All Rights Reserved.